=== doc/CMakeLists.txt ===
set(USETYPST_DEFAULT_ALL_TARGET ON)

message("\n${BoldGreen}Build typst documentation ${PROJECT_NAME}${ColourReset}\n")
include(${CMAKE_UTILS_PATH}/modules/UseTYPST.cmake)
add_typst_document(groupingprotein_documentation typst/main.typ)
