=== src/cpp/CMakeLists.txt ===


SET(GP_LIB_NAME "groupingprotein")
SET(GP_LIB_VERSION ${GP_VERSION})
SET(GP_LIB_SOVERSION ${GP_VERSION})



#sudo apt-get install libpappsomspp-dev
if ( PappsoMSpp_FOUND )
else ( PappsoMSpp_FOUND )
    FIND_PACKAGE( PappsoMSpp REQUIRED )
endif ( PappsoMSpp_FOUND )
#SET (PAPPSOMSPP_DIR  "/home/olivier/eclipse/git/pappsomspp")
# SET (PAPPSOMSPP_DIR  "/home/langella/developpement/git/pappsomspp")
# SET (PAPPSOMSPP_INCLUDE_DIR "${PAPPSOMSPP_DIR}/src")
# SET (PAPPSOMSPP_QT5_LIBRARY "${PAPPSOMSPP_DIR}/cbuild/src/libpappsomspp-qt5.so")


#-std=c++11
#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Winline")
#set(CMAKE_CXX_STANDARD 14)

add_subdirectory(core)
add_subdirectory(bin)
