=== debian/control ===
Source: grouping-protein
Section: science
Priority: optional
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Homepage: http://pappso.inra.fr/bioinfo
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 7),
               dh-python,
               python3,
               cmake (>= 2.6),
               qt6-base-dev,
               qt6-svg-dev,
               libqcustomplot-dev,
               libodsstream-dev,
               cutelee6-qt6-dev,
               libpappsomspp-core-dev (>= 0.9.46)
Build-Conflicts: qt3-dev-tools



Package: grouping-protein
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         python3-biopython,
         libpappsomspp-core0  (>= 0.9.46)
Description: Proteomics grouping algorithm
 Grouping-protein implements a fast algorithm that can filter thousands of peptides
